VERSION 5.00
Begin VB.Form frmTest 
   Caption         =   "LCD Demo"
   ClientHeight    =   1380
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   2505
   LinkTopic       =   "Form1"
   ScaleHeight     =   92
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   167
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command2 
      Caption         =   "Fast Demo"
      Height          =   555
      Left            =   1320
      TabIndex        =   2
      Top             =   780
      Width           =   1155
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Slow Demo"
      Height          =   555
      Left            =   60
      TabIndex        =   1
      Top             =   780
      Width           =   1215
   End
   Begin VB.PictureBox LCD 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00000000&
      BorderStyle     =   0  'None
      FillColor       =   &H00FFFFFF&
      BeginProperty Font 
         Name            =   "Small Fonts"
         Size            =   6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FFFFFF&
      Height          =   645
      Left            =   60
      ScaleHeight     =   43
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   160
      TabIndex        =   0
      Top             =   60
      Width           =   2400
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Command1_Click()
    
    ' Create an array of 6880 bytes
    Dim byteArrayDemo(0 To 6879) As Byte

    ' Turn on every second pixel, to create a checkerboard pattern.
    ' Set the value to 255 to make it ON, or 0 to make it OFF.
    
    ' Loop through the entire screen.
    For X = 0 To 159
        For Y = 0 To 42
            byteArrayDemo((Y * 160) + X) = IIf((X + Y) Mod 2 = 0, 255, 0)
        Next
    Next
    
    lcdControl.showPixels byteArrayDemo, 0
    
    
End Sub

Private Sub Command2_Click()
    
    ' Clear the picturebox and then write some text onto it.
    LCD.Cls
    LCD.Print "This is a fast demo."
    LCD.Print "The current time is " & Time
        
    ' Update the LCD.
    updatePreview


End Sub

Private Sub Form_Load()
    
    ' Create a new instance of the AvLCD component
    Set lcdControl = New AvLCD
    
    ' Initialize the LCD.
    lcdControl.initLCD "AvLCD Demo File"
    
    ' Set a callback to our ButtonPress Handler.
    lcdControl.setCallback AddressOf LCDbuttonPress
    

End Sub

Private Sub Form_Unload(Cancel As Integer)
    
    ' When unloading, close the LCD interface.
    lcdControl.closeLCD
    
End Sub

