Attribute VB_Name = "LCDfuncs"
' Use BitBlt to quickly copy images from one picturebox to another.
Public Declare Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long
Public Const SRCAND = &H8800C6  ' (DWORD) dest = source AND dest
Public Const SRCCOPY = &HCC0020 ' (DWORD) dest = source
Public Const SRCERASE = &H440328        ' (DWORD) dest = source AND (NOT dest )
Public Const SRCINVERT = &H660046       ' (DWORD) dest = source XOR dest
Public Const SRCPAINT = &HEE0086        ' (DWORD) dest = source OR dest

' Create our LCD control object.
Public lcdControl As AvLCD


Sub updatePreview()
    
    ' Send the LCD a bitmap to display.
    ' The bitmap must be 24-bit full colour, but only the red channel will be used.
    ' Set the pixel to WHITE to make it appear, and BLACK to make it not appear.
    
    ' This method is about 100 times faster than the showPixels method.
    
    ' Set the last parameter to 1 to use "ALERT" status, causing this screen to appear
    ' in front of other screens even from other applications.
    lcdControl.showBitmap frmTest.LCD.Image, 0
    
End Sub


Public Sub LCDbuttonPress(ByVal butStates As Long)

    ' Show that we saw a button being pressed.
    
    ' Use a bitwise AND to see which button is down.
    ' 1 - Button 1
    ' 2 - Button 2
    ' 4 - Button 3
    ' 8 - Button 4
    
    ' So, the following will activate only if button 4 is down:
    ' If (butStates And 8) = 8 Then
    
    frmTest.LCD.Cls
    frmTest.LCD.Print "Buttons down: " & butStates
    
    ' NOTE: Do not update the LCD in this function, IT WILL CRASH THE APPLICATION!
    
    
End Sub
